apiVersion: apps/v1
kind: Deployment
metadata:
  name: mysql
  namespace: zuul
  labels:
    app: mysql
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mysql
  template:
    metadata:
      labels:
        app: mysql
    spec:
      containers:
      - name: mariadb
        image: mariadb:latest
        ports:
         - name: mariadb
           containerPort: 3306
        env:
        # Definition of the access credentials
        - name: MYSQL_ROOT_PASSWORD
          value: 'rootpassword'
        - name: MYSQL_DATABASE
          value: 'zuul'
        - name: MYSQL_USER
          value: 'zuul'
        - name: MYSQL_PASSWORD
          value: 'secret'
        - name: MYSQL_INITDB_SKIP_TZINFO
          value: '1'
---
apiVersion: v1
kind: Service
metadata:
  name: mysql-service
  namespace: zuul
spec:
  selector:
    app: mysql
  ports:
    - protocol: TCP
      port: 3306
      targetPort: mariadb
